MAXScript Extensions > MAXScript Extensions for mental ray > arch Shaders >

# Arch___Design__mi: material

    Arch___Design__mi - superclass: material; super-superclass:MAXWrapper - 146:0 - classID: #(1890604853, 1242969684)

The Arch and Design Material available in 3ds Max 9 and higher provides advanced featuresfor the architectural visualization and design industry including useful presets, glossy reflections, custom BRDF reflectivity functions, built-in environment occlusion and edge rounding effects and more.

Constructors:

    Arch___Design__mi...

Properties:

## Main Material Parameters Rollout

### Diffuse

    <Arch___Design__mi>.diff_weight Float default: 1.0 -- animatable; float; Diffuse_Weight

Get/set the Diffuse Level value.

    <Arch___Design__mi>.diff_color Color default: (color 127.5 127.5 127.5) -- animatable; fRGBA color; Diffuse

Get/set the Color value.

    <Arch___Design__mi>.mapM0 UndefinedClass default: undefined -- texturemap; Diffuse_Color_Map

Get/set the Diffuse Color Map texturemap.

    <Arch___Design__mi>.diff_rough Float default: 0.0 -- animatable; float; Diffuse_Roughness

Get/set the Roughness value.

    <Arch___Design__mi>.mapM1 UndefinedClass default: undefined -- texturemap; Roughness_Map

Get/set the Roughness Map texturemap.

### Reflection

    <Arch___Design__mi>.refl_weight Float default: 0.6 -- animatable; float; Reflectivity

Get/set the Reflectivity value.

    <Arch___Design__mi>.refl_color Color default: (color 255 255 255) -- animatable; fRGBA color; Reflection_Color

Get/set the Reflection Color value.

    <Arch___Design__mi>.mapM2 UndefinedClass default: undefined -- texturemap; Reflection_Color_Map

Get/set the Reflection Color Map texturemap.

    <Arch___Design__mi>.refl_gloss Float default: 1.0 -- animatable; float; Reflection_Glossiness

Get/set the Reflection Glossiness value.

    <Arch___Design__mi>.mapM3 UndefinedClass default: undefined -- texturemap; Reflection_Glossiness_Map

Get/set the Reflection Glossiness Map texturemap.

    <Arch___Design__mi>.refl_samples Integer default: 8 -- animatable; integer; Reflection_Samples

Get/set the Reflection Samples value.

    <Arch___Design__mi>.refl_interp BooleanClass default: false -- boolean; Reflection_Interpolation

Get/set the state of the Fast (Interpolate) checkbox.

    <Arch___Design__mi>.refl_hlonly BooleanClass default: false -- boolean; Highlights_Only

Get/set the state of the Highlights + FG Only checkbox.

    <Arch___Design__mi>.refl_metal BooleanClass default: false -- boolean; Metallic_Reflections

Get/set the state of the Metal Material checkbox.

### Refraction

    <Arch___Design__mi>.refr_weight Float default: 0.0 -- animatable; float; Transparency

Get/set the Transparency value.

    <Arch___Design__mi>.refr_color Color default: (color 255 255 255) -- animatable; fRGBA color; Refraction_Color

Get/set the Refraction Color value.

    <Arch___Design__mi>.mapM4 UndefinedClass default: undefined -- texturemap; Refraction_Color_Map

Get/set the Refraction Color Map texturemap.

    <Arch___Design__mi>.refr_gloss Float default: 1.0 -- animatable; float; Refraction_Glossiness

Get/set the Refraction Glossiness value.

    <Arch___Design__mi>.mapM5 UndefinedClass default: undefined -- texturemap; Refraction_Glossiness_Map

Get/set the Refraction Glossiness Map texturemap.

    <Arch___Design__mi>.refr_interp BooleanClass default: false -- boolean; Refraction_Interpolation

Get/set the state of the Fast (Interpolate) checkbox.

    <Arch___Design__mi>.refr_samples Integer default: 8 -- animatable; integer; Refraction_Samples

Get/set the Refraction Samples value.

    <Arch___Design__mi>.refr_ior Float default: 1.4 -- animatable; float; Refraction_IOR

Get/set the Refraction IOR value.

    <Arch___Design__mi>.mapM6 UndefinedClass default: undefined -- texturemap; IOR_Map

Get/set the IOR Map texturemap.

    <Arch___Design__mi>.refr_trans_on BooleanClass default: false -- boolean; Translucency_On

Get/set the state of the Translucency checkbox.

    <Arch___Design__mi>.refr_transw Float default: 0.5 -- animatable; float; Translulcency_Weight

Get/set the Translucency Weight value.

    <Arch___Design__mi>.mapM8 UndefinedClass default: undefined -- texturemap; Translucency_Weight_Map

Get/set the Translucency Weight Map texturemap.

    <Arch___Design__mi>.refr_transc Color default: (color 178.5 127.5 51) -- animatable; fRGBA color; Translucency_Color

Get/set the Translucency Color value.

    <Arch___Design__mi>.mapM7 UndefinedClass default: undefined -- texturemap; Translucency_Color_Map

Get/set the Translucency Color Map texturemap.

### Anisotropy

    <Arch___Design__mi>.anisotropy Float default: 1.0 -- animatable; float

Get/set the Anisotropy value.

    <Arch___Design__mi>.mapM9 UndefinedClass default: undefined -- texturemap; Anisotropy_Map

Get/set the Anisotropy Map.

    <Arch___Design__mi>.anisoangle Float default: 0.0 -- animatable; float; Anisotropy_Angle

Get/set the Anisotropy Angle value.

    <Arch___Design__mi>.mapM10 UndefinedClass default: undefined -- texturemap; Anisotropy_Angle_Map

Get/set the Anisotropy Angle Map.

    <Arch___Design__mi>.aniso_mode Integer default: 0 -- integer; Anisotropy_Mode

Get/set the Anisotropy Mode. Possible values are

0 - Automatic

1 - Mapping Channel

    <Arch___Design__mi>.aniso_channel Integer default: 0 -- integer; Anisotropy_Channel

Get/set the Anisotropy Mapping Channel used when .aniso_mode is set to 1.

## BRDF Rollout

    <Arch___Design__mi>.refl_func_fresnel BooleanClass default: false -- boolean; Angular_Function_Fresnel

Get/set the state of the radio buttons.

When set to true, the "By IOR (Fresnel reflections)" mode will be used.

When set to false (default), the "Custom Reflectivity Function" mode will be used.

    <Arch___Design__mi>.refl_func_low Float default: 0.2 -- animatable; float; Angular_Function_Low

Get/set the "0 deg. refl" value.

    <Arch___Design__mi>.refl_func_high Float default: 1.0 -- animatable; float; Angular_Function_High

Get/set the "90 deg. refl" value.

    <Arch___Design__mi>.refl_func_curve Float default: 5.0 -- animatable; float; Angular_Function_Curve

Get/set the "Curve shape" value.

## Self Illumination (Glow) Rollout

    <Arch___Design__mi>.self_illum_on BooleanClass default: false -- boolean; Self_Illumination_On

Get/set the state of the "Self Illumination (Glow)" checkbox.

### Color

    <Arch___Design__mi>.self_illum_color_mode BooleanClass default: true -- boolean; Self_Illumination_Color_Mode

Get/set theSelf Illumination Color Mode.

When set to true, the "Kelvin" mode will be used.

When set to false, the Light Color mode will be used.

    <Arch___Design__mi>.self_illum_color_filter Color default: (color 255 255 255) -- animatable; fRGBA color; Filter_Color

Get/set the Filter Color value.

    <Arch___Design__mi>.self_illum_color_kelvin Float default: 6500.0 -- animatable; float; Self_Illumination_Color_Kelvin

Get/set the Kelvin Color value.

    <Arch___Design__mi>.mapM23 UndefinedClass default: undefined -- texturemap; Self_Illumination_Map

Get/set the Self Illumination Map.

### Luminance

    <Arch___Design__mi>.self_illum_int_mode BooleanClass default: true -- boolean; Self_Illumination_Intensity_Mode

Get/set the Self Illumination Intensity Mode.

When set to false, the "Physical Units cd/m2" mode will be used.

When set to true, the "Unitless" mode will be used.

    <Arch___Design__mi>.self_illum_int_physical Float default: 1500.0 -- animatable; float; Self_Illumination_Physical_Intensity

Get/set the Self Illumination Physical Intentisy value.

    <Arch___Design__mi>.self_illum_int_arbitrary Float default: 1.0 -- animatable; float; Self_Illumination_Arbitrary_Intensity

Get/set the Self Illumination Unitless (Arbitrary) value.

### Glow Options

    <Arch___Design__mi>.self_illum_in_reflections BooleanClass default: true -- boolean; Self_Illumination___visible_in_Reflections

Get/set the state of the "Visible In Reflections" checkbox.

    <Arch___Design__mi>.self_illum_in_fg BooleanClass default: false -- boolean; Self_Illumination___visible_to_FG

Get/set the state of the "Illuminate the Scene (when using FG)" checkbox.

## Special Effects Rollout

### Ambient Occlusion

    <Arch___Design__mi>.opts_ao_on BooleanClass default: false -- boolean; AO_Enabled

Get/set the state of the Ambient Occlusion checkbox.

    <Arch___Design__mi>.opts_ao_samples Integer default: 16 -- animatable; integer; AO_Samples

Get/set the Ambient Occlusion Samples value.

    <Arch___Design__mi>.opts_ao_exact BooleanClass default: false -- boolean; AO_picks_up_colors_from_other_materials__Exact_AO

Get/set the state of the "Use Color From Other Materials (Exact AO)" checkbox.

    <Arch___Design__mi>.opts_ao_distance Float default: 10.0 -- animatable; float; AO_Distance

Get/set the Ambient Occlusion Max. Distance value.

    <Arch___Design__mi>.opts_ao_dark Color default: (color 51 51 51) -- animatable; fRGBA color; AO_Shadow_Color

Get/set the Ambient Occlusion Shadow Color.

    <Arch___Design__mi>.mapM15 UndefinedClass default: undefined -- texturemap; AO_Shadow_Color_Map

Get/set the Ambient Occlusion Shadow Color Map.

    <Arch___Design__mi>.opts_ao_use_global_ambient BooleanClass default: false -- boolean; Use_Global_Ambient_Light

Get/set whether to use the Global Ambient Coloror the Custom Ambient Color (see below)

    <Arch___Design__mi>.opts_ao_ambient Color default: (color 0 0 0) -- animatable; fRGBA color; AO_Ambient_Light_Color

Get/set the Custom Ambient Light Colorused by Ambient Occlusion when .opts_ao_use_global_ambient is set to false.

    <Arch___Design__mi>.mapM16 UndefinedClass default: undefined -- texturemap; AO_Ambient_Light_Color_Map

Get/set the Ambient Light Color Map.

    <Arch___Design__mi>.opts_ao_do_details BooleanClass default: true -- boolean; AO_for_GI_FG_detail_enhancement

### Round Corners

    <Arch___Design__mi>.opts_round_corners_on BooleanClass default: false -- boolean; Round_Corners_On

Get/set the state of the Round Corners checkbox.

    <Arch___Design__mi>.opts_round_corners_radius Float default: 0.5 -- animatable; float; Round_Corners_Radius

Get/set the "Fillet Radius" value.

    <Arch___Design__mi>.mapM22 UndefinedClass default: undefined -- texturemap; Radius_Map

Get/set the"Fillet Radius" map.

    <Arch___Design__mi>.opts_round_corners_any_mtl BooleanClass default: false -- boolean; Fillet_against_Any_Material

Get/set the state of the "Blend With Other Materials" checkbox.

## Advanced Rendering Options Rollout

### Reflection

    <Arch___Design__mi>.refl_falloff_on BooleanClass default: false -- boolean; Reflection_Max_Dist_On

Get/set the state of the Reflection Max. Distance checkbox.

    <Arch___Design__mi>.refl_falloff_dist Float default: 0.0 -- animatable; float; Reflection_Max_Dist

Get/set the Reflection Max. Distance value.

    <Arch___Design__mi>.refl_falloff_color_on BooleanClass default: false -- boolean; Reflection_Max_Dist_Color_On

Get/set the state of the Reflection Fade to End Color checkbox.

    <Arch___Design__mi>.refl_falloff_color Color default: (color 51 51 51) -- animatable; fRGBA color; Reflection_Max_Dist_Color

Get/set the Reflection Fade to End Color value.

    <Arch___Design__mi>.mapM11 UndefinedClass default: undefined -- texturemap; Reflection_Fade_Color_Map

Get/set the Reflection Fade to End Color Map.

    <Arch___Design__mi>.opts_refl_depth Integer default: 4 -- animatable; integer; Reflection_Max_Depth

Get/set the Reflection Max. Trace Depth value.

    <Arch___Design__mi>.refl_cutoff Float default: 0.01 -- animatable; float; Reflection_Cutoff_Threshold

Get/set the Reflection Cutoff Threshold value.

### Refraction

    <Arch___Design__mi>.refr_falloff_on BooleanClass default: false -- boolean; Refraction_Max_Dist_On

Get/set the state of the RefractionMax. Distance checkbox.

    <Arch___Design__mi>.refr_falloff_dist Float default: 0.0 -- animatable; float; Refraction_Max_Dist

Get/set the RefractionMax. Distance value.

    <Arch___Design__mi>.refr_falloff_color_on BooleanClass default: false -- boolean; Refraction_Max_Dist_Color_On

Get/set the state of the Refraction Color at Max. Distance checkbox.

    <Arch___Design__mi>.refr_falloff_color Color default: (color 51 51 51) -- animatable; fRGBA color; Refraction_Max_Dist_Color

Get/set the Refraction Color at Max. Distance value.

    <Arch___Design__mi>.mapM12 UndefinedClass default: undefined -- texturemap; Refraction_Fade_Color_Map

Get/set the Refraction Color at Max. Distance Map.

    <Arch___Design__mi>.opts_refr_depth Integer default: 6 -- animatable; integer; Refraction_Max_Depth

Get/set the Refraction Max. Trace Depth value.

    <Arch___Design__mi>.refr_cutoff Float default: 0.01 -- animatable; float; Refraction_Cutoff_Threshold

Get/set the Refraction Cutoff Threshold value.

### Advanced Reflectivity Options

    <Arch___Design__mi>.opts_no_area_hl BooleanClass default: true -- boolean; Supress_Highlights_for_visible_area_lights

Get/set the state of the "Visible area lights cause no highlights" checkbox.

    <Arch___Design__mi>.opts_skip_inside BooleanClass default: true -- boolean; Skip_internal_reflections_in_glass__except_TIR

Get/set the state of the "Skip Reflection on the inside (except total internal reflection" checkbox.

    <Arch___Design__mi>.opts_hl_to_refl_balance Float default: 1.0 -- animatable; float; Highlight_vs__Reflection_Balance

Get/set the "Relative Intensity of Highlights" value.

### Advanced Transparency Options

    <Arch___Design__mi>.opts_1sided BooleanClass default: false -- boolean; Single_sided_glass___translucency

Get/set the state of the "Glass/Translucency treat objects as" radiobuttons.

When set to false, the "Solid" mode will be used.

When set to true, the "Thin-walled" mode will be used.

    <Arch___Design__mi>.opts_do_refractive_caustics BooleanClass default: false -- boolean; Do_refractive_caustics

Get/set the state of the "When Caustics are enabled, transparent objects" radiobuttons.

When set to false, the "Refract light and generate caustic effect" mode will be used.

When set to true, the "Use Transparent Shadows" mode will be used.

    <Arch___Design__mi>.opts_backface_cull BooleanClass default: false -- boolean; Back_Face_Culling

Get/set the state of the Backface Culling checkbox.

    <Arch___Design__mi>.opts_propagate_alpha BooleanClass default: false -- boolean; Propagate_Alpha

Get/set the state of the "Transparency propagates Alpha channel" checkbox.

### Indirect Illumination Options

    <Arch___Design__mi>.opts_indirect_multiplier Float default: 1.0 -- animatable; float; Indirect_Multiplier

Get/set the FG/GI multiplier value.

    <Arch___Design__mi>.mapM13 UndefinedClass default: undefined -- texturemap; FG_Multiplier_Map

Get/set the FG/GI multiplier map.

    <Arch___Design__mi>.opts_fg_quality Float default: 1.0 -- animatable; float; FG_Quality

Get/set the FG Quality value.

    <Arch___Design__mi>.mapM14 UndefinedClass default: undefined -- texturemap; FG_Quality_Map

Get/set the FG Quality Map.

## Fast Glossy Interpolation Rollout

    <Arch___Design__mi>.inter_density Integer default: 2 -- integer; Interpolation_Density

Get/set the Interpolation Grid Densoty mode. Possible values are:

0 - 2 (double)

1 - 1 (same as rendering)

2 - 1/2 (half resolution)

3 - 1/3 (third resolution)

4 - 1/4 (quarter resolution)

5 - 1/5 (fifth resolution)

### Reflective Interpolation

    <Arch___Design__mi>.intr_refl_samples Integer default: 2 -- integer; Reflection__Interpolation_points_to_look_up

Get/set the Reflection "Neighbouring points to look up" value.

    <Arch___Design__mi>.intr_refl_ddist_on BooleanClass default: false -- boolean; Use_detail_distance

Get/set the state of the "High detail distance" checkbox.

    <Arch___Design__mi>.intr_refl_ddist Float default: 0.0 -- animatable; float; Detail_distance

Get/set the "High detail distance" value.

    <Arch___Design__mi>.single_env_sample BooleanClass default: false -- boolean; Single_Environment_Sample

Get/set the "Single Sample from Environment" value.

### Refractive Interpolation

    <Arch___Design__mi>.intr_refr_samples Integer default: 2 -- integer; Refraction__Interpolation_points_to_look_up

Get/set the Refraction "Neighbouring points to look up" value.

## Special Purpose Maps Rollout

    <Arch___Design__mi>.bump_map_on BooleanClass default: true -- boolean

Get/set the state of the Bump checkbox.

    <Arch___Design__mi>.bump_map_amt Float default: 0.3 -- animatable; float; Bump_Map_Amount

Get/set the Bump amount value.

    <Arch___Design__mi>.bump_map UndefinedClass default: undefined -- texturemap

Get/set the Bump map.

    <Arch___Design__mi>.no_diffuse_bump BooleanClass default: false -- boolean; No_bumps_on_diffuse_shading

Get/set the state of the "Do not apply bumps to the diffuse shading" checkbox.

    <Arch___Design__mi>.displacement_map_on BooleanClass default: true -- boolean

Get/set the state of the Displacement checkbox.

    <Arch___Design__mi>.displacement_map_amt Float default: 1.0 -- animatable; float; Displacement_Map_Amount

Get/set the Displacement map amount.

    <Arch___Design__mi>.displacement_map UndefinedClass default: undefined -- texturemap

Get/set the Displacement map.

    <Arch___Design__mi>.cutout_map_on BooleanClass default: true -- boolean

Get/set the state of the Cutout checkbox.

    <Arch___Design__mi>.cutout_map UndefinedClass default: undefined -- texturemap

Get/set the Cutout map.

    <Arch___Design__mi>.environment_map_on BooleanClass default: true -- boolean

Get/set the state of the Environment checkbox.

    <Arch___Design__mi>.environment_map UndefinedClass default: undefined -- texturemap

Get/set the Environment map.

    <Arch___Design__mi>.add_color_map_on BooleanClass default: true -- boolean; Additional_Color_Map_On

Get/set the state of the Additional Color checkbox.

    <Arch___Design__mi>.add_color_map UndefinedClass default: undefined -- texturemap; Additional_Color_Map

Get/set the Additional Color map.

    <Arch___Design__mi>.self_illum_map_on BooleanClass default: true -- boolean

Get/set the state of the Self Illumination checkbox.

    <Arch___Design__mi>.self_illum_map UndefinedClass default: undefined -- texturemap; Self_Illumination_Map

Get/set the Self Illumination map.

## General Maps Rollout

### Main Maps

    <Arch___Design__mi>.diff_color_map_on BooleanClass default: true -- boolean; Diffuse_Color_Map_On

Get/set the state of the Diffuse Color checkbox.

    <Arch___Design__mi>.diff_color_map UndefinedClass default: undefined -- texturemap; Diffuse_Color_Map

Get/set the Diffuse Color map.

    <Arch___Design__mi>.diff_rough_map_on BooleanClass default: true -- boolean; Roughness_Map_On

Get/set the state of the Diffuse Roughness checkbox.

    <Arch___Design__mi>.diff_rough_map UndefinedClass default: undefined -- texturemap; Roughness_Map

Get/set the Diffuse Roughness map.

    <Arch___Design__mi>.refl_color_map_on BooleanClass default: true -- boolean; Reflection_Color_Map_On

Get/set the state of the Reflection Color checkbox.

    <Arch___Design__mi>.refl_color_map UndefinedClass default: undefined -- texturemap; Reflection_Color_Map

Get/set the Diffuse Reflection Color map.

    <Arch___Design__mi>.refl_gloss_map_on BooleanClass default: true -- boolean; Reflection_Glossiness_Map_On

Get/set the state of the Reflection Glossiness checkbox.

    <Arch___Design__mi>.refl_gloss_map UndefinedClass default: undefined -- texturemap; Reflection_Glossiness_Map

Get/set the Reflection Glossiness map.

    <Arch___Design__mi>.refr_color_map_on BooleanClass default: true -- boolean; Refraction_Color_Map_On

Get/set the state of the Refraction Color checkbox.

    <Arch___Design__mi>.refr_color_map UndefinedClass default: undefined -- texturemap; Refraction_Color_Map

Get/set the Refraction Color map.

    <Arch___Design__mi>.refr_gloss_map_on BooleanClass default: true -- boolean; Refraction_Glossiness_Map_On

Get/set the state of the Refraction Glossiness checkbox.

    <Arch___Design__mi>.refr_gloss_map UndefinedClass default: undefined -- texturemap; Refraction_Glossiness_Map

Get/set the Refraction Glossiness map.

    <Arch___Design__mi>.refr_transc_map_on BooleanClass default: true -- boolean; Translucency_Color_Map_On

Get/set the state of the Refraction Translucency Color checkbox.

    <Arch___Design__mi>.refr_transc_map UndefinedClass default: undefined -- texturemap; Translucency_Color_Map

Get/set the Refraction Translucency Color map.

    <Arch___Design__mi>.refr_transw_map_on BooleanClass default: true -- boolean; Translucency_Weight_Map_On

Get/set the state of the Refraction Translucency Weight checkbox.

    <Arch___Design__mi>.refr_transw_map UndefinedClass default: undefined -- texturemap; Translucency_Weight_Map

Get/set the Refraction Translucency Weight map.

### Surface Property Maps

    <Arch___Design__mi>.refr_ior_map_on BooleanClass default: true -- boolean; IOR_Map_On

Get/set the state of the IOR (IndexOf Refraction) checkbox.

    <Arch___Design__mi>.refr_ior_map UndefinedClass default: undefined -- texturemap; IOR_Map

Get/set the IOR map.

    <Arch___Design__mi>.anisotropy_map_on BooleanClass default: true -- boolean

Get/set the state of the Anisotropy checkbox.

    <Arch___Design__mi>.anisotropy_map UndefinedClass default: undefined -- texturemap

Get/set the Anisotropy map.

    <Arch___Design__mi>.anisoangle_map_on BooleanClass default: true -- boolean; Anisotropy_Angle_Map_On

Get/set the state of the Anisotropy Angle checkbox.

    <Arch___Design__mi>.anisoangle_map UndefinedClass default: undefined -- texturemap; Anisotropy_Angle_Map

Get/set the Anisotropy Angle map.

    <Arch___Design__mi>.refl_falloff_color_map_on BooleanClass default: true -- boolean; Reflection_Fade_Color_Map_On

Get/set the state of the "Reflection - fade to Color" checkbox.

    <Arch___Design__mi>.refl_falloff_color_map UndefinedClass default: undefined -- texturemap; Reflection_Fade_Color_Map

Get/set the "Reflection - fade to Color" map.

    <Arch___Design__mi>.refr_falloff_color_map_on BooleanClass default: true -- boolean; Refraction_Fade_Color_Map_On

Get/set the state of the "Refraction - fade to Color" checkbox.

    <Arch___Design__mi>.refr_falloff_color_map UndefinedClass default: undefined -- texturemap; Refraction_Fade_Color_Map

Get/set the "Refraction - fade to Color" map.

### Rendering Options Maps

    <Arch___Design__mi>.indirect_multiplier_map_on BooleanClass default: true -- boolean; FG_Multiplier_Map_On

Get/set the state of the "FG/GI multiplier" checkbox.

    <Arch___Design__mi>.indirect_multiplier_map UndefinedClass default: undefined -- texturemap; FG_Multiplier_Map

Get/set the "FG/GI multiplier" map.

    <Arch___Design__mi>.fg_quality_map_on BooleanClass default: true -- boolean

Get/set the state of the "FG Quality" checkbox.

    <Arch___Design__mi>.fg_quality_map_amt Float default: 1.0 -- animatable; float; FG_Quality_Map_Amount

Get/set the "FG Quality" amount value.

    <Arch___Design__mi>.fg_quality_map UndefinedClass default: undefined -- texturemap

Get/set the "FG Quality" map.

### Special Effects Maps

    <Arch___Design__mi>.ao_dark_map_on BooleanClass default: true -- boolean; AO_Shadow_Color_Map_On

Get/set the state of the "AO Shadow Color" checkbox.

    <Arch___Design__mi>.ao_dark_map UndefinedClass default: undefined -- texturemap; AO_Shadow_Color_Map

Get/set the "AO Shadow Color" map.

    <Arch___Design__mi>.ao_ambient_map_on BooleanClass default: true -- boolean; AO_Ambient_Light_Color_Map_On

Get/set the state of the "AO Ambient Light Color" checkbox.

    <Arch___Design__mi>.ao_ambient_map UndefinedClass default: undefined -- texturemap; AO_Ambient_Light_Color_Map

Get/set the "AO Ambient Light Color" map.

    <Arch___Design__mi>.radius_map_on BooleanClass default: true -- boolean

Get/set the state of the "Round Corner Radius" checkbox.

    <Arch___Design__mi>.radius_map UndefinedClass default: undefined -- texturemap

Get/set the "Round Corner Radius" map.

#### See Also

- MAXScript Extensions for mental ray